package com.benyun.core.controller;

import com.benyun.core.entity.WdInfo;
import com.benyun.core.service.TopologicalCommonService;
import com.ruoyi.common.core.domain.R;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.HashMap;
import java.util.List;

@RestController
@RequestMapping("/poi/common")
public class TopologicalCommonController {
    @Autowired
    TopologicalCommonService topologicalCommonService;
    @RequestMapping("/prefixSearch")
    public R prefixSearch(String searchText){
        List<WdInfo> wdInfos = topologicalCommonService.prefixSearch(searchText);
        return R.ok(wdInfos);
    }
    @RequestMapping("/range")
    public R range(){
        HashMap hashMap = new HashMap<>();
        hashMap.put("500m",500);
        hashMap.put("1km",1000);
        hashMap.put("2km",2000);
        return R.ok(hashMap);
    }
}
