package com.benyun.core.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.benyun.core.dao.TopologicalEnterpriseWdDao;
import com.benyun.core.entity.TopologicalEnterpriseWd;
import com.benyun.core.entity.TopologicalStoreWd;
import com.benyun.core.entity.vo.TopologicalWdAceeptVo;
import com.benyun.core.service.TopologicalEnterpriseWdService;
import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class TopologicalEnterpriseWdServiceImpl implements TopologicalEnterpriseWdService {
    @Autowired
    TopologicalEnterpriseWdDao topologicalEnterpriseWdDao;
    @Override
    public PageInfo<TopologicalEnterpriseWd> list(TopologicalWdAceeptVo topologicalWdAceeptVo) {

        PageHelper.startPage(topologicalWdAceeptVo.getPageNum(), topologicalWdAceeptVo.getPageSize());
        List<TopologicalEnterpriseWd> topologicalStoreWds = topologicalEnterpriseWdDao.list(topologicalWdAceeptVo.getCenterWdId(), Integer.valueOf(topologicalWdAceeptVo.getRadius()));
        PageInfo<TopologicalEnterpriseWd> pageInfo = new PageInfo<>(topologicalStoreWds);

        return pageInfo;
    }
}
