package com.benyun.core.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.benyun.core.entity.BusinessOpportunitiesClue;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface BusinessOpportunitiesDao extends BaseMapper<BusinessOpportunitiesClue> {
    int searchCountByUserId(@Param("userId") String userId);
    BusinessOpportunitiesClue searchByAttentionIdAndUserId(@Param("attentionId") String attentionId, @Param("userId") String userId);
    int deleteByAttentionIdAndUserId(@Param("attentionId")String attentionId, @Param("userId") String userId);
    List<BusinessOpportunitiesClue> searchAllByMulti(@Param("text") String text, @Param("userId") String userId);
}
