package com.benyun.core.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.benyun.core.dao.TypeByDao;
import com.benyun.core.dao.WdInfoMapper;
import com.benyun.core.entity.TypeBy;
import com.benyun.core.entity.WdInfo;
import com.benyun.core.entity.bo.WdAddrTypeDistribution;
import com.benyun.core.entity.vo.TypeByBody;
import com.benyun.core.entity.vo.WdInfoVo;
import com.benyun.core.service.WdInfoService;
import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Service;

import java.lang.reflect.Type;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.stream.Collectors;

@Service
public class WdInfoServiceImpl implements WdInfoService {
    @Autowired
    WdInfoMapper wdInfoMapper;



    @Autowired
    TypeByDao byDao;


    @Override
    public List<WdAddrTypeDistribution> searchAddrTypeDistribution(List<String> addrCodes, List<String> typeCodes) {
        return wdInfoMapper.searchAddrDisByMulti(addrCodes, typeCodes);
    }

    @Override
    public List<WdAddrTypeDistribution> searchWdTypeDistribution(List<String> addrCodes, List<String> typeCodes) {
        return wdInfoMapper.searchWdTypeDisByMulti(addrCodes,typeCodes);
    }

    @Override
    public List<WdAddrTypeDistribution> searchWdTotal() {
        return wdInfoMapper.searchWdTotal();
    }

}
